## src.zip

=== MEGASync/mega/contrib/cmake/CMakeLists.txt ===
# This file enables building with cmake
#
# use cases
#  - generate a visual studio solution and projects, eg: cmake . -G "Visual Studio 15 2017"
#  - or for 64 bit: cmake . -G "Visual Studio 15 2017 Win64"
#  - or set your build options before VS project generation by using the gui, eg:  cmake-gui.exe .
#  - you can set up to build both 32 bit and 64 bit this way:
#       make subfolders '32' and '64' of this cmake folder
#       execute 'cmake-gui  ..' in each.  Select the cmake folder as the 'source code' folder, and the appropriate 32 or 64 folder as 'where to build the binaries' folder
#       for each cmake-gui configuration, choose the suitable 32/64 bit compiler, and corresponding setting for the build_64_bit variable.
#       then Configure, Generate, Open Project (all buttons in the gui) for each.

# check the ./build3rdParty.cmd script in this folder for how to (relatively) easily build the dependencies, typically in a 3rdParty folder outside of the SDK repo.


if (WIN32)
  cmake_minimum_required(VERSION 3.15)
  cmake_policy(SET CMP0091 NEW)   # for msvc dll/stsatic target
else()
  cmake_minimum_required(VERSION 3.13)
  set(CMAKE_EXPORT_COMPILE_COMMANDS ON) # Useful for make or ninja
  message( "CMAKE_EXPORT_COMPILE_COMMANDS ON")
endif()

project(MegaSDK)

set( CMAKE_EXPORT_COMPILE_COMMANDS ON) # Generates compile_commands.json with the compilers calls for all translations units
set (Mega3rdPartyDir "" CACHE FILEPATH "Prefix path for where third party dependencies are located")

if (CMAKE_HOST_APPLE AND NOT IOS)
    set (USE_OPENSSL 0 CACHE STRING "")
else()
    set (USE_OPENSSL 1 CACHE STRING "Usually Needed")
endif()

set (USE_ASIO 1 CACHE STRING "Only needed For tcprelay test tool")
set (USE_CURL 1 CACHE STRING "Always needed (turning it off would mean using WinHTTP instead but that has not been maintained for a while)")
set (USE_SQLITE 1 CACHE STRING "Needed unless intending a cache-less app")
set (USE_MEDIAINFO 1 CACHE STRING "Used to determine media properties and set those as node attributes")
set (USE_FREEIMAGE 1 CACHE STRING "Used to create previews/thumbnails for photos/pictures")
set (ENABLE_SYNC 1 CACHE STRING "Turns on sync functionality")
set (ENABLE_CHAT 0 CACHE STRING "Turns on chat management functionality")
set (ENABLE_LOG_PERFORMANCE 0 CACHE STRING "Faster log message generation")
set (HAVE_FFMPEG 1 CACHE STRING "Used to create previews/thumbnails for video files")
set (USE_WEBRTC 0 CACHE STRING "Declare that your app will link with WebRTC")
set (USE_LIBUV 0 CACHE STRING "Includes the library and turns on internal web and ftp server functionality")
set (USE_QT 0 CACHE STRING "Declare that your app will link wtih Qt")
set (USE_PDFIUM 1 CACHE STRING "Used to create previews/thumbnails for PDF files")
set (USE_LIBRAW 0 CACHE STRING "Just includes the library (used by MEGAsync)")
set (USE_PCRE 0 CACHE STRING "Can be used by client apps. The SDK does not use it itself anymore")
set (USE_DRIVE_NOTIFICATIONS 0 CACHE STRING "Allows to monitor (external) drives being [dis]connected to the computer")
set (MEGA_USE_C_ARES 1 CACHE STRING "If set, the SDK will manage DNS lookups and ipv4/ipv6 itself, using the c-ares library.  Otherwise we rely on cURL")
set (MEGA_QT_VERSION 5.12.11 CACHE STRING "Qt version installed in c:/Qt")

if (USE_PTHREAD)
    set( USE_CPPTHREAD 0)
else()
    set( USE_CPPTHREAD 1)
endif()

# Sodium is no longer optional. Setting the variable here to saisfy existing preprocessor checks and #cmakedefine
set (USE_SODIUM 1)

# Cryptop never was optional
set (USE_CRYPTOPP 1)

set (HAVE_LIBUV ${USE_LIBUV})
set (HAVE_LIBRAW ${USE_LIBRAW})

option(USE_THIRDPARTY_FROM_VCPKG
"Whether to look for third party dependencies in a vcpkg install. If yes, Mega3rdPartyDir must be a path to a directory containing the vcpkg directory"
${WIN32})

option(USE_QT_FROM_VCPKG
"Whether to look for QT dependencies in a vcpkg install. To set yes, USE_THIRDPARTY_FROM_VCPKG must be yes"
0)

if (NOT USE_THIRDPARTY_FROM_VCPKG AND USE_QT_FROM_VCPKG)
    message( WARNING "USE_THIRDPARTY_FROM_VCPKG is not set, turn off USE_QT_FROM_VCPKG" )
    set (USE_QT_FROM_VCPKG 0)
endif()

message(STATUS " Using 3rd party from vcpkg = ${USE_THIRDPARTY_FROM_VCPKG}")
message(STATUS " Using QT from vcpkg = ${USE_QT_FROM_VCPKG}")
message(STATUS " CMAKE_SYSTEM_NAME = ${CMAKE_SYSTEM_NAME}")

if(WIN32 OR IOS)
    set(NO_READLINE 1 CACHE STRING "")
else()
    set(NO_READLINE 0 CACHE STRING "")
endif()

if (WIN32)
    set (UNCHECKED_ITERATORS 0 CACHE STRING "")
    IF (USE_WEBRTC)
        IF ("${WebRtcDir}" STREQUAL "")
            SET (WebRtcDir "${Mega3rdPartyDir}/libwebrtc/build32debug")
        ENDIF()
    ENDIF()
endif()

if (USE_WEBRTC)
    if ("${WebRtcDir}" STREQUAL "")
        SET(WebRtcDir ${Mega3rdPartyDir}/libwebrtc/build32debug)
    endif()
endif()

set (MEGA_LINK_DYNAMIC_CRT 1 CACHE STRING "")

if (WIN32)
    message(STATUS "CMAKE_GENERATOR is ${CMAKE_GENERATOR}")
    message(STATUS "CMAKE_GENERATOR_PLATFORM is ${CMAKE_GENERATOR_PLATFORM}")
    if (("${CMAKE_GENERATOR_PLATFORM}" MATCHES "(Win64|IA64|x64)") OR
        ("${CMAKE_GENERATOR}" MATCHES "(Win64|IA64|x64)"))
        SET(build_64_bit 1)
        message(STATUS "Building 64 bit")
    elseif(CMAKE_SIZEOF_VOID_P EQUAL 4)
        SET(build_64_bit 0)
        message(STATUS "Building 32 bit")
    elseif("${CMAKE_CXX_COMPILER}" MATCHES "x64/cl.exe" )
        SET(build_64_bit 1)
        message(STATUS "Building 64 bit")
    elseif("${CMAKE_CXX_COMPILER}" MATCHES "x86/cl.exe" )
        SET(build_64_bit 0)
        message(STATUS "Building 32 bit")
    else()
        message(STATUS "CMAKE_SIZEOF_VOID_P ${CMAKE_SIZEOF_VOID_P}")
        message(STATUS "CMAKE_CXX_COMPILER ${CMAKE_CXX_COMPILER}")
        message(FATAL_ERROR "Can't tell if we should build 32 bit or 64 bit")
    endif()
elseif(APPLE AND NOT IOS)
    set (build_64_bit 1)

    if (CMAKE_OSX_ARCHITECTURES MATCHES "arm64" OR (NOT CMAKE_OSX_ARCHITECTURES AND CMAKE_SYSTEM_PROCESSOR STREQUAL "arm64"))
        set(build_arm64 1)
        message("Building for macOS arm64 in a ${CMAKE_HOST_SYSTEM_PROCESSOR} host.")
    else()
        set(build_arm64 0)
        message("Building for macOS x86_64 in a ${CMAKE_HOST_SYSTEM_PROCESSOR} host.")
    endif()

else()
    set (build_64_bit 1 CACHE STRING "Build for a 64 bit target")
    message(STATUS "Building 64 bit")
endif()

if(APPLE)
    set(CMAKE_CXX_STANDARD 11)
    set(CMAKE_CXX_STANDARD_REQUIRED ON)
endif()

if ("${MEGA_PROJECT_NAME}" STREQUAL "")
    set(MEGA_PROJECT_NAME "MegaSDK" CACHE STRING "")
endif()

if(build_64_bit)
    project ("${MEGA_PROJECT_NAME}64" LANGUAGES CXX C)
else(build_64_bit)
    project ("${MEGA_PROJECT_NAME}32" LANGUAGES CXX C)
endif(build_64_bit)

IF(WIN32)
    set(MegaDir "${CMAKE_CURRENT_LIST_DIR}/../..")
    if ("${Mega3rdPartyDir}" STREQUAL "")
        set(Mega3rdPartyDir "${MegaDir}/../3rdParty" CACHE STRING "")
    endif()
ELSE(WIN32)
    set(MegaDir "${CMAKE_CURRENT_LIST_DIR}/../..")
    if ("${Mega3rdPartyDir}" STREQUAL "")
        set (Mega3rdPartyDir "${MegaDir}/../3rdParty/" CACHE STRING "")
    endif()
ENDIF(WIN32)

# currently supported scenarios for getting 3rd party libraries:
#  - vcpkg built dependencies (there are some scripts in this folder to build those)
#  - libraries from the system, installed via eg. apt-get on linux

if (USE_THIRDPARTY_FROM_VCPKG) #vcpkg or system

    #determine VCPKG triplet
    if(NOT VCPKG_TRIPLET)
        IF(WIN32)
            if (UNCHECKED_ITERATORS)
                if(build_64_bit)
                    set(VCPKG_TRIPLET "x64-windows-mega-uncheckediterators" CACHE STRING "")
                else(build_64_bit)
                    set(VCPKG_TRIPLET "x86-windows-mega-uncheckediterators" CACHE STRING "")
                endif(build_64_bit)
            else()
                if(build_64_bit)
                    set(VCPKG_TRIPLET "x64-windows-mega" CACHE STRING "")
                else(build_64_bit)
                    set(VCPKG_TRIPLET "x86-windows-mega" CACHE STRING "")
                endif(build_64_bit)
            endif()
        ELSEIF(CMAKE_HOST_APPLE)
            if(NOT IOS)
                if(build_arm64)
                    set(VCPKG_TRIPLET "arm64-osx-mega" CACHE STRING "")
                else()
                    set(VCPKG_TRIPLET "x64-osx-mega" CACHE STRING "")
                endif()
            else()
                set(VCPKG_TRIPLET "arm64-ios" CACHE STRING "")
            endif()
        ELSE()
            set(VCPKG_TRIPLET "x64-linux" CACHE STRING "")
        ENDIF()
    endif()


    set(vcpkg_dir "${Mega3rdPartyDir}/vcpkg/installed/${VCPKG_TRIPLET}")
endif()

message(STATUS, " Mega3rdPartyDir = ${Mega3rdPartyDir}")
message(STATUS, " USE_THIRDPARTY_FROM_VCPKG = ${USE_THIRDPARTY_FROM_VCPKG}")
message(STATUS, " vcpkg_dir = ${vcpkg_dir}")

# Since we offer some Qt support in the SDK, set up those dependencies here
# setup QT_DIR, qt_cmake_dir, qt_qmake_dir
# USE_QT_FROM_VCPKG override USE_QT
if (USE_QT_FROM_VCPKG)
    set(QT_DIR "${vcpkg_dir}/tools/qt5" CACHE STRING "Specify your QT install folder if it is nonstandard")
    set(qt_cmake_dir "${vcpkg_dir}/share/cmake/Qt5")
    set(qt_qmake_dir "${vcpkg_dir}/tools/qt5/bin")
elseif (USE_QT)
    #For convenience, added some default qt paths if none is specified
    if (NOT DEFINED QT_DIR)
        if (CMAKE_HOST_WIN32 )
            if (build_64_bit)
                set (QT_DIR "C:/Qt/${MEGA_QT_VERSION}/msvc2017_64" CACHE STRING "Specify your QT install folder if it is nonstandard")
            else()
                set (QT_DIR "C:/Qt/${MEGA_QT_VERSION}/msvc2017" CACHE STRING "Specify your QT install folder if it is nonstandard")
            ENDIF()
        ELSE()
            set (QT_DIR "/Users/Shared/Qt/${MEGA_QT_VERSION}/clang_64" CACHE STRING "Specify your QT install folder if it is nonstandard")
        ENDIF()
    ENDIF()

    set(qt_cmake_dir "${QT_DIR}/lib/cmake/Qt5")
    set(qt_qmake_dir "${QT_DIR}/bin")
endif()

if (USE_QT OR USE_QT_FROM_VCPKG)
    message(STATUS "USE_QT: ${USE_QT} USE_QT_FROM_VCPKG: ${USE_QT_FROM_VCPKG}")
    message(STATUS "QT_DIR: ${QT_DIR}")

    # find qt package
    if (NOT DEFINED CMAKE_PREFIX_PATH)
        set(CMAKE_PREFIX_PATH "${qt_cmake_dir}")
    endif()

    message(STATUS "CMAKE_PREFIX_PATH (should contain the QT install path): ${CMAKE_PREFIX_PATH}")

    foreach (PKG IN LISTS MEGA_QT_REQUIRED_COMPONENTS)
        message(STATUS "Finding Qt package ${PKG}")
        find_package(Qt5 COMPONENTS ${PKG} REQUIRED)
    endforeach(PKG)

    # get qt version
    if ("${QT_QMAKE_EXECUTABLE}" STREQUAL "")
        if(WIN32)
            set(QT_QMAKE_EXECUTABLE "${qt_qmake_dir}/qmake.exe")
        else()
            set(QT_QMAKE_EXECUTABLE "${qt_qmake_dir}/qmake")
        endif()
    endif()

    execute_process(COMMAND ${QT_QMAKE_EXECUTABLE} -query QT_VERSION OUTPUT_VARIABLE QT_VERSION OUTPUT_STRIP_TRAILING_WHITESPACE)
    message(STATUS "Using QT ${QT_VERSION} from ${QT_QMAKE_EXECUTABLE}")
endif()

if (NOT CMAKE_BUILD_TYPE)
    message("Generated with config types: ${CMAKE_CONFIGURATION_TYPES}")
else(NOT CMAKE_BUILD_TYPE)
    message("CMAKE_BUILD_TYPE is ${CMAKE_BUILD_TYPE}")
endif(NOT CMAKE_BUILD_TYPE)

#windows projects usually need _DEBUG and/or DEBUG set rather than NDEBUG not set
set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -D_DEBUG -DDEBUG")
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -D_DEBUG -DDEBUG")

if (WIN32)
    # node deletion in debug under VC++ is pretty slow without this.  However libraries we depend on need to be built with the same setting or linking fails
    # (hence the build3rdParty script using the xNN-windows-static-uncheckediterators triplets)
    if (UNCHECKED_ITERATORS)
        set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -D_ITERATOR_DEBUG_LEVEL=0" )
    endif()

    # warnings as errors, just for windows builds, as warnings keep creeping in.  Best if we address them once in the original MRs.
    if (build_64_bit)

=== MEGASync/mega/contrib/cmake/vcpkg_extra_ports/pdfium/5247/CMakeLists.txt ===

cmake_minimum_required(VERSION 3.7.2)
project(pdfium_by_cmake)

set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -D_DEBUG -DDEBUG")
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -D_DEBUG -DDEBUG")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

if(WIN32)
	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /EHsc /MP")
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /EHsc /MP ")  
	add_definitions(-DHAVE_BOOLEAN)
endif()

if(APPLE)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX.sdk" )
endif()

add_definitions(-DCMS_NO_REGISTER_KEYWORD -DUNICODE -DNOMINMAX -DUSE_LIBJPEG_TURBO -DPNG_PREFIX  -DUSE_SYSTEM_ICUUC -DUSE_SYSTEM_LIBJPEG -DUSE_SYSTEM_LCMS2 -DUSE_SYSTEM_ZLIB -DUSE_SYSTEM_LIBOPENJPEG2 -DOPJ_STATIC -DDEFINE_PS_TABLES)
# no skia, V8, or xfa (xfa seems to require V8 anyway)

find_package(OpenJPEG      REQUIRED)
find_package(lcms          REQUIRED)
find_package(JPEG          REQUIRED)
find_package(BZip2         REQUIRED)
find_package(libpng        REQUIRED)

include_directories(
    ${JPEG_INCLUDE_DIRS}
    ${BZIP2_INCLUDE_DIRS}
    ${CMAKE_CURRENT_SOURCE_DIR}/third_party/abseil-cpp
    "."
)

if(WIN32)
     set(WIN 1)
else()
     set(WIN 0)
endif()

if (APPLE)
    set(MAC 1)
else()
    set(MAC 0)
endif()

if (NOT WIN32 AND NOT APPLE)
    set(LINUX 1)
else()
    set(LINUX 0)
endif()

set(ANDROID 0)


add_library(pdfium STATIC

third_party/abseil-cpp/absl/strings/internal/str_format/output.cc
third_party/abseil-cpp/absl/strings/internal/str_format/parser.cc
third_party/abseil-cpp/absl/strings/internal/ostringstream.cc
third_party/abseil-cpp/absl/strings/internal/escaping.cc
third_party/abseil-cpp/absl/strings/internal/utf8.cc
third_party/abseil-cpp/absl/strings/internal/str_format/arg.cc
third_party/abseil-cpp/absl/strings/internal/str_format/bind.cc
third_party/abseil-cpp/absl/strings/internal/str_format/extension.cc
third_party/abseil-cpp/absl/strings/internal/str_format/float_conversion.cc
third_party/abseil-cpp/absl/strings/ascii.cc
third_party/abseil-cpp/absl/strings/internal/memutil.cc
third_party/abseil-cpp/absl/strings/match.cc
third_party/abseil-cpp/absl/strings/numbers.cc
third_party/abseil-cpp/absl/strings/str_cat.cc
third_party/abseil-cpp/absl/strings/str_replace.cc
third_party/abseil-cpp/absl/strings/str_split.cc
third_party/abseil-cpp/absl/strings/string_view.cc
third_party/abseil-cpp/absl/strings/substitute.cc
third_party/abseil-cpp/absl/strings/charconv.cc
third_party/abseil-cpp/absl/strings/escaping.cc
third_party/abseil-cpp/absl/strings/internal/charconv_bigint.cc
third_party/abseil-cpp/absl/strings/internal/charconv_parse.cc
third_party/abseil-cpp/absl/synchronization/internal/graphcycles.cc
third_party/abseil-cpp/absl/synchronization/barrier.cc
third_party/abseil-cpp/absl/synchronization/blocking_counter.cc
third_party/abseil-cpp/absl/synchronization/internal/create_thread_identity.cc
third_party/abseil-cpp/absl/synchronization/internal/per_thread_sem.cc
third_party/abseil-cpp/absl/synchronization/internal/waiter.cc
third_party/abseil-cpp/absl/synchronization/mutex.cc
third_party/abseil-cpp/absl/synchronization/notification.cc
third_party/abseil-cpp/absl/time/civil_time.cc
third_party/abseil-cpp/absl/time/clock.cc
third_party/abseil-cpp/absl/time/duration.cc
third_party/abseil-cpp/absl/time/format.cc
third_party/abseil-cpp/absl/time/time.cc
third_party/abseil-cpp/absl/time/internal/cctz/src/civil_time_detail.cc
third_party/abseil-cpp/absl/time/internal/cctz/src/time_zone_fixed.cc
third_party/abseil-cpp/absl/time/internal/cctz/src/time_zone_format.cc
third_party/abseil-cpp/absl/time/internal/cctz/src/time_zone_if.cc
third_party/abseil-cpp/absl/time/internal/cctz/src/time_zone_impl.cc
third_party/abseil-cpp/absl/time/internal/cctz/src/time_zone_info.cc
third_party/abseil-cpp/absl/time/internal/cctz/src/time_zone_libc.cc
third_party/abseil-cpp/absl/time/internal/cctz/src/time_zone_lookup.cc
third_party/abseil-cpp/absl/time/internal/cctz/src/time_zone_posix.cc
third_party/abseil-cpp/absl/time/internal/cctz/src/zone_info_source.cc
third_party/abseil-cpp/absl/types/bad_optional_access.cc
third_party/abseil-cpp/absl/types/bad_variant_access.cc
constants/appearance.cpp
constants/annotation_common.cpp
constants/font_encodings.cpp
constants/form_fields.cpp
constants/page_object.cpp
constants/stream_dict_common.cpp
constants/transparency.cpp
core/fdrm/fx_crypt.cpp
core/fdrm/fx_crypt_aes.cpp
core/fdrm/fx_crypt_sha.cpp
core/fpdfapi/cmaps/Japan1/90ms-RKSJ-H_2.cpp
core/fpdfapi/cmaps/Japan1/90ms-RKSJ-V_2.cpp
core/fpdfapi/cmaps/Japan1/90msp-RKSJ-H_2.cpp
core/fpdfapi/cmaps/Japan1/90pv-RKSJ-H_1.cpp
core/fpdfapi/cmaps/Japan1/Add-RKSJ-H_1.cpp
core/fpdfapi/cmaps/Japan1/Add-RKSJ-V_1.cpp
core/fpdfapi/cmaps/Japan1/Adobe-Japan1-UCS2_4.cpp
core/fpdfapi/cmaps/Japan1/EUC-H_1.cpp
core/fpdfapi/cmaps/Japan1/EUC-V_1.cpp
core/fpdfapi/cmaps/GB1/UniGB-UCS2-H_4.cpp
core/fpdfapi/cmaps/GB1/UniGB-UCS2-V_4.cpp
core/fpdfapi/cmaps/GB1/cmaps_gb1.cpp
core/fpdfapi/cmaps/Japan1/83pv-RKSJ-H_1.cpp
core/fpdfapi/cmaps/CNS1/Adobe-CNS1-UCS2_5.cpp
core/fpdfapi/cmaps/CNS1/B5pc-H_0.cpp
core/fpdfapi/cmaps/CNS1/B5pc-V_0.cpp
core/fpdfapi/cmaps/CNS1/CNS-EUC-H_0.cpp
core/fpdfapi/cmaps/CNS1/CNS-EUC-V_0.cpp
core/fpdfapi/cmaps/CNS1/ETen-B5-H_0.cpp
core/fpdfapi/cmaps/CNS1/ETen-B5-V_0.cpp
core/fpdfapi/cmaps/CNS1/ETenms-B5-H_0.cpp
core/fpdfapi/cmaps/CNS1/ETenms-B5-V_0.cpp
core/fpdfapi/cmaps/CNS1/HKscs-B5-H_5.cpp
core/fpdfapi/cmaps/CNS1/HKscs-B5-V_5.cpp
core/fpdfapi/cmaps/CNS1/UniCNS-UCS2-H_3.cpp
core/fpdfapi/cmaps/CNS1/UniCNS-UCS2-V_3.cpp
core/fpdfapi/cmaps/CNS1/UniCNS-UTF16-H_0.cpp
core/fpdfapi/cmaps/CNS1/cmaps_cns1.cpp
core/fpdfapi/cmaps/GB1/Adobe-GB1-UCS2_5.cpp
core/fpdfapi/cmaps/GB1/GB-EUC-H_0.cpp
core/fpdfapi/cmaps/Japan1/90msp-RKSJ-V_2.cpp
core/fpdfapi/cmaps/GB1/GB-EUC-V_0.cpp
core/fpdfapi/cmaps/GB1/GBK-EUC-H_2.cpp
core/fpdfapi/cmaps/GB1/GBK-EUC-V_2.cpp
core/fpdfapi/cmaps/GB1/GBK2K-H_5.cpp
core/fpdfapi/cmaps/GB1/GBK2K-V_5.cpp
core/fpdfapi/cmaps/GB1/GBKp-EUC-H_2.cpp
core/fpdfapi/cmaps/GB1/GBKp-EUC-V_2.cpp
core/fpdfapi/cmaps/GB1/GBpc-EUC-H_0.cpp
core/fpdfapi/cmaps/GB1/GBpc-EUC-V_0.cpp
core/fpdfapi/cmaps/Japan1/Ext-RKSJ-H_2.cpp
core/fpdfapi/cmaps/Japan1/Ext-RKSJ-V_2.cpp
core/fpdfapi/cmaps/Japan1/H_1.cpp
core/fpdfapi/cmaps/Japan1/UniJIS-UCS2-HW-H_4.cpp
core/fpdfapi/cmaps/Japan1/UniJIS-UCS2-HW-V_4.cpp
core/fpdfapi/cmaps/Japan1/UniJIS-UCS2-H_4.cpp
core/fpdfapi/cmaps/Japan1/UniJIS-UCS2-V_4.cpp
core/fpdfapi/cmaps/Japan1/V_1.cpp
core/fpdfapi/cmaps/Japan1/cmaps_japan1.cpp
core/fpdfapi/cmaps/Korea1/Adobe-Korea1-UCS2_2.cpp
core/fpdfapi/cmaps/Korea1/KSC-EUC-H_0.cpp
core/fpdfapi/cmaps/Korea1/KSC-EUC-V_0.cpp
core/fpdfapi/cmaps/Korea1/KSCms-UHC-HW-H_1.cpp
core/fpdfapi/cmaps/Korea1/KSCms-UHC-HW-V_1.cpp
core/fpdfapi/cmaps/Korea1/KSCms-UHC-H_1.cpp
core/fpdfapi/cmaps/Korea1/KSCms-UHC-V_1.cpp
core/fpdfapi/cmaps/Korea1/KSCpc-EUC-H_0.cpp
core/fpdfapi/cmaps/Korea1/UniKS-UCS2-H_1.cpp
core/fpdfapi/cmaps/Korea1/UniKS-UCS2-V_1.cpp
core/fpdfapi/cmaps/Korea1/UniKS-UTF16-H_0.cpp
core/fpdfapi/cmaps/Korea1/cmaps_korea1.cpp
core/fpdfapi/cmaps/fpdf_cmaps.cpp
core/fpdfapi/edit/cpdf_contentstream_write_utils.cpp
core/fpdfapi/edit/cpdf_creator.cpp
core/fpdfapi/edit/cpdf_pagecontentgenerator.cpp
core/fpdfapi/edit/cpdf_pagecontentmanager.cpp
core/fpdfapi/edit/cpdf_stringarchivestream.cpp
core/fpdfapi/font/cfx_cttgsubtable.cpp
core/fpdfapi/font/cfx_stockfontarray.cpp
core/fpdfapi/font/cpdf_cid2unicodemap.cpp
core/fpdfapi/font/cpdf_cidfont.cpp
core/fpdfapi/font/cpdf_cmap.cpp
core/fpdfapi/font/cpdf_cmapparser.cpp
core/fpdfapi/font/cpdf_font.cpp
core/fpdfapi/font/cpdf_fontencoding.cpp
core/fpdfapi/font/cpdf_fontglobals.cpp
core/fpdfapi/font/cpdf_simplefont.cpp
core/fpdfapi/font/cpdf_tounicodemap.cpp
core/fpdfapi/font/cpdf_truetypefont.cpp
core/fpdfapi/font/cpdf_type1font.cpp
core/fpdfapi/font/cpdf_type3char.cpp
core/fpdfapi/font/cpdf_type3font.cpp
core/fpdfapi/page/cpdf_page.cpp
core/fpdfapi/page/cpdf_pagemodule.cpp
core/fpdfapi/page/cpdf_pageobject.cpp
core/fpdfapi/page/cpdf_pageobjectholder.cpp
core/fpdfapi/page/cpdf_path.cpp
core/fpdfapi/page/cpdf_pathobject.cpp
core/fpdfapi/page/cpdf_pattern.cpp
core/fpdfapi/page/cpdf_patterncs.cpp
core/fpdfapi/page/cpdf_psengine.cpp
core/fpdfapi/page/cpdf_psfunc.cpp
core/fpdfapi/page/cpdf_sampledfunc.cpp
core/fpdfapi/page/cpdf_shadingobject.cpp
core/fpdfapi/page/cpdf_shadingpattern.cpp
core/fpdfapi/page/cpdf_stitchfunc.cpp
core/fpdfapi/page/cpdf_graphicstates.cpp
core/fpdfapi/page/cpdf_iccprofile.cpp
core/fpdfapi/page/cpdf_image.cpp
core/fpdfapi/page/cpdf_imageobject.cpp
core/fpdfapi/page/cpdf_indexedcs.cpp
core/fpdfapi/page/cpdf_meshstream.cpp
core/fpdfapi/page/cpdf_occontext.cpp
core/fpdfapi/page/cpdf_allstates.cpp
core/fpdfapi/page/cpdf_annotcontext.cpp
core/fpdfapi/page/cpdf_basedcs.cpp
core/fpdfapi/page/cpdf_clippath.cpp
core/fpdfapi/page/cpdf_color.cpp
core/fpdfapi/page/cpdf_colorspace.cpp
core/fpdfapi/page/cpdf_colorstate.cpp
core/fpdfapi/page/cpdf_contentmarkitem.cpp
core/fpdfapi/page/cpdf_contentmarks.cpp
core/fpdfapi/page/cpdf_contentparser.cpp
core/fpdfapi/page/cpdf_devicecs.cpp
core/fpdfapi/page/cpdf_dib.cpp
core/fpdfapi/page/cpdf_docpagedata.cpp
core/fpdfapi/page/cpdf_expintfunc.cpp
core/fpdfapi/page/cpdf_form.cpp
core/fpdfapi/page/cpdf_formobject.cpp
core/fpdfapi/page/cpdf_function.cpp
core/fpdfapi/page/cpdf_generalstate.cpp
core/fpdfapi/page/cpdf_streamcontentparser.cpp
core/fpdfapi/page/cpdf_streamparser.cpp
core/fpdfapi/page/cpdf_textobject.cpp
core/fpdfapi/page/cpdf_textstate.cpp
core/fpdfapi/page/cpdf_tilingpattern.cpp
core/fpdfapi/page/cpdf_transferfunc.cpp
core/fpdfapi/page/cpdf_transferfuncdib.cpp
core/fpdfapi/page/cpdf_transparency.cpp
core/fpdfapi/parser/cpdf_flateencoder.cpp
core/fpdfapi/parser/cpdf_hint_tables.cpp
core/fpdfapi/parser/cpdf_indirect_object_holder.cpp
core/fpdfapi/parser/cpdf_linearized_header.cpp
core/fpdfapi/parser/cpdf_name.cpp
core/fpdfapi/parser/cpdf_null.cpp
core/fpdfapi/parser/cpdf_number.cpp
core/fpdfapi/parser/cpdf_object.cpp
core/fpdfapi/parser/cpdf_object_avail.cpp
core/fpdfapi/parser/cpdf_object_stream.cpp
core/fpdfapi/parser/cpdf_object_walker.cpp
core/fpdfapi/parser/cpdf_page_object_avail.cpp
core/fpdfapi/parser/cpdf_parser.cpp
core/fpdfapi/parser/cpdf_read_validator.cpp
core/fpdfapi/parser/cpdf_reference.cpp
core/fpdfapi/parser/cpdf_security_handler.cpp
core/fpdfapi/parser/cpdf_simple_parser.cpp
core/fpdfapi/parser/cpdf_stream.cpp
core/fpdfapi/parser/cpdf_stream_acc.cpp
core/fpdfapi/parser/cpdf_string.cpp
core/fpdfapi/parser/cpdf_syntax_parser.cpp
core/fpdfapi/parser/fpdf_parser_decode.cpp
core/fpdfapi/parser/fpdf_parser_utility.cpp
core/fpdfapi/parser/cfdf_document.cpp
core/fpdfapi/parser/cpdf_array.cpp
core/fpdfapi/parser/cpdf_boolean.cpp
core/fpdfapi/parser/cpdf_cross_ref_avail.cpp
core/fpdfapi/parser/cpdf_cross_ref_table.cpp
core/fpdfapi/parser/cpdf_crypto_handler.cpp
core/fpdfapi/parser/cpdf_data_avail.cpp
core/fpdfapi/parser/cpdf_dictionary.cpp
core/fpdfapi/parser/cpdf_document.cpp
core/fpdfapi/parser/cpdf_encryptor.cpp
core/fpdfapi/render/charposlist.cpp
core/fpdfapi/render/cpdf_devicebuffer.cpp
core/fpdfapi/render/cpdf_docrenderdata.cpp
core/fpdfapi/render/cpdf_imageloader.cpp
core/fpdfapi/render/cpdf_imagerenderer.cpp
core/fpdfapi/render/cpdf_pagerendercache.cpp
core/fpdfapi/render/cpdf_pagerendercontext.cpp
core/fpdfapi/render/cpdf_progressiverenderer.cpp
core/fpdfapi/render/cpdf_rendercontext.cpp
core/fpdfapi/render/cpdf_renderoptions.cpp
core/fpdfapi/render/cpdf_rendershading.cpp
core/fpdfapi/render/cpdf_renderstatus.cpp
core/fpdfapi/render/cpdf_rendertiling.cpp
core/fpdfapi/render/cpdf_scaledrenderbuffer.cpp
$<${WIN}:core/fpdfapi/render/cpdf_windowsrenderdevice.cpp>
core/fpdfapi/render/cpdf_textrenderer.cpp
core/fpdfapi/render/cpdf_type3cache.cpp
core/fpdfapi/render/cpdf_type3glyphmap.cpp
core/fpdfdoc/cpvt_fontmap.cpp
core/fpdfdoc/cpvt_section.cpp
core/fpdfdoc/cpvt_variabletext.cpp
core/fpdfdoc/cpvt_wordinfo.cpp
core/fpdfdoc/cpdf_aaction.cpp

=== MEGASync/mega/contrib/build_pdfium/packaging/PKGBUILD ===
# Maintainer: Pablo Martin <pm@mega.nz>
pkgname=pdfium-mega
pkgver=5247.0
pkgrel=1
epoch=
pkgdesc="TODO"
arch=('x86_64')
url="TODO"
license=() #TODO
groups=()
depends=('glibc' 'gcc-libs')
makedepends=('unzip' 'ca-certificates' 'python3' 'rsync' 'git')
checkdepends=()
optdepends=()
provides=("pdfium-mega=${pkgver}")
conflicts=()
replaces=()
backup=()
options=()
#~ install=()
changelog= #TODO
source=("./pdfium-mega_${pkgver}.tar.gz"
)
noextract=()
md5sums=('SKIP')
validpgpkeys=()

prepare() {
    cd "$pkgname-$pkgver"
}

build() {
    cd "$pkgname-$pkgver"
    ./depot_tools/ninja ${BUILD_PARALLEL_JOBS} -C out pdfium
    #clean all unrequired stuff
    rm -rf `ls | grep -v "out\|public"`
}

check() {
    cd "$pkgname-$pkgver"
}

package() {
    cd "$pkgname-$pkgver"
    for i in `find out/obj -name "libpdfium.a" -type f`; do install -D $i $pkgdir/usr/lib/${i/out\/obj\//}; done
    for i in `find public -type f`; do install -D -m 444 $i $pkgdir/usr/include/${i/public\//}; done
}
